/*
 *   debugger.h
 *
 *   This file is part of Emu48
 *
 *   Copyright (C) 1999 Christoph Gieelink
 *
 */

// breakpoint type definitions
#define BP_EXEC   1							// code breakpoint
#define BP_READ   2							// read memory breakpoint
#define BP_WRITE  4							// write memory breakpoint
#define BP_ACCESS (BP_READ|BP_WRITE)		// read/write memory breakpoint

// debugger state definitions
#define DBG_RUN			0
#define DBG_STEPINTO	1
#define DBG_STEPOVER    2
#define DBG_STEPOUT     3

// debugger.c
extern HWND    hDlgDebug;
extern HANDLE  hEventDebug;
extern BOOL    bDbgEnable;
extern INT     nDbgState;
extern BOOL    bDbgNOP3;
extern BOOL    bDbgRPL;
extern BOOL    bDbgSkipInt;
extern DWORD   dwDbgRstkp;
extern DWORD   dwDbgRstk;
extern DWORD   *pdwInstrArray;
extern WORD    wInstrSize;
extern WORD    wInstrWp;
extern WORD    wInstrRp;
extern BOOL    CheckBreakpoint(DWORD dwAddr, DWORD wRange, UINT nType);
extern VOID    NotifyDebugger(BOOL bType);
extern LRESULT OnToolDebug(VOID);
